                                 RELEASE NOTES
                                    FreeBSD
                                 Release 2.0.5

1. Technischer Überblick
------------------------

FreeBSD ist eine im Quellcode frei verfügbare Version eines 4.4-Lite-
basierten Betriebssystems für PC's auf der Basis von Intel-i386/i486/
Pentium-Prozessoren (oder kompatiblen).  Es basiert hauptsächlich auf
Software der Computer-Gruppe (CSRG) der Universität Kalifornien Berkeley
mit einigen Erweiterungen aus den Systemen NetBSD, 386BSD und von der
Free Software Foundation.

Seit der Freigabe unserer Version FreeBSD 2.0 vor etwa 8 Monaten hat sich
die Leistungsfähigkeit, der Funktionsumfang und die Stabilität von
FreeBSD dramatisch verbessert.  Die umfangreichste Änderung ist das neu
gefaßte System der virtuellen Speicherverwaltung (VM) mit einem vereinig-
ten VM/Dateipuffer, wodurch sich nicht nur die Leistungsfähigkeit verbes-
sert, sondern auch der Mindestspeicherbedarf von FreeBSD reduziert werden
konnte, so daß auch Konfigurationen mit nur 4 MB Hauptspeicher wieder
akzeptabel werden können.  Unter den weiteren Verbesserungen befinden
sich volle Unterstützung für NIS sowohl auf Client- als auch Serverseite,
,,Transaction TCP'', PPP mit automatischer Leitungswahl bei Bedarf, ein
verbessertes SCSI-Subsystem, anfängliche ISDN-Unterstützung, Treiber für
FDDI- und "Fast Ethernet"-Adapter (100 MBit/s), verbesserter Unter-
stützung der Adaptec 2940-SCSI-Adapter (sowohl WIDE- als auch
Normal-SCSI) sowie viele hunderte Bugfixes.

Zuzüglich zur Basis-Distribution bietet FreeBSD nun eine neue Sammlung
portierter Software an mit etwa 270 häufig gewünschten Programmen.  Die
Liste der ,,Ports'' reicht dabei von HTTP-(WWW-)Servern, Spielen, Pro-
grammiersprachen, Editoren und so gut wie allem, was dazwischenliegt.
Die komplette Port-Sammlung benötigt nun nur noch 10 MB Speicherplatz, da
alle Ports als ,,Deltas'' gegenüber ihren originalen Quellen ausgedrückt
werden.  Das macht es uns einfacher, die Ports auf dem Laufenden zu
halten, und es reduziert gegenüber der Ports-Sammlung aus Version 1.0
drastisch den Speicherbedarf.  Um einen Port zu übersetzen, wechselt man
einfach ins Verzeichnis des gewünschten Ports, tippt ,,make'' ein, und
läßt das System den Rest vornehmen.  Es wird dabei automatisch die komp-
lette Original-Quelle von der CDROM oder einem lokalen FTP-Server geholt,
so daß man lediglich hinreichend Plattenplatz benötigt, um die gewünsch-
ten Ports zu übersetzen.  (Fast) jeder Port wird auch als vorübersetztes
,,Package'' zur Verfügung gestellt, das man mit einem einfachen Kommando
(pkg_add) installieren kann, wenn man nicht von der originalen Quelle
übersetzen möchte.  All dies ist in der Datei
        /usr/share/FAQ/Text/ports.FAQ
genauer beschrieben.

Seit unserer ersten Version FreeBSD 1.0 vor etwa zwei Jahren hat sich
FreeBSD fast vollständig geändert.  Eine neue Portierung wurde vorge-
nommen, ausgehend vom 4.4-Lite-Code der Universität Berkeley, womit der
rechtliche Status des Systems einwandfrei geworden ist, einschließlich
einer ,Absegnung' durch Novell (dem neuen Eigentümer der USL und des
Warenzeichens UNIX).  Die 4.4-Portierung brachte gleichzeitig eine Menge
neuer Eigenschaften, Dateisysteme und verbesserte Treiber.  Mit der
geklärten Rechtslage haben wir nun allen Grund zur Hoffnung, daß wir ohne
künftige juristische Querelen auch weiterhin ein Betriebssystem von guter
Qualität regelmäßig herausgeben können.

FreeBSD 2.0.5 representiert die zweijährige Arbeit eines internationalen
Entwicklerteams, das viele tausend Mann-Stunden eingebracht hat.  Wir
hoffen sehr, daß es Anklang findet!

Eine Reihe weiterer Dokumente, die während der Installation und im Betrieb
von FreeBSD hilfreich sein können, befindet sich im Verzeichnis ,,FAQ'',
entweder in einem installierten System unter /usr/share/FAQ, oder aber in
der obersten Ebene der CDROM- oder FTP-Distribution, in der ebendiese Datei
zu finden ist.  Ein Überblick der im FAQ-Verzeichnis enthaltenen Dokumen-
tation befindet sich in der Datei FAQ/Text/ROADMAP.

Eine Liste all derjenigen, die zum Projekt beigetragen haben, verbunden
mit einer allgemeinen Beschreibung des Projektes selbst, befindet sich in
der Datei ,,CONTRIB.FreeBSD'' in der Binär-Distribution.

Die Datei ,,REGISTER.FreeBSD'' enthält eine Beschreibung, wie man sich
beim "Free BSD user counter" registrieren läßt.  Dieser Zähler ist für
ALLE freien BSD-Derivate, nicht nur FreeBSD, und wir legen jedem die
Anmeldung dort nahe.

Die Kerndistribution von FreeBSD enthält keinen DES-Code, weil dies ihren
Export außerhalb der USA verhindern würde.  Es existiert ein Zusatzpaket,
das nur in den USA verwendet werden darf und die Programme zusammenfaßt,
die normalerweise DES benutzen.  Alle anderen zusätzlich angebotenen
Pakete können von jedermann genutzt werden.  Eine freie und (aus Sicht
von außerhalb der USA) exportierbare Distribution für Nicht-US-Benutzer
existiert aber auch.  Sie ist in der FreeBSD-FAQ beschrieben.

Soweit jedoch die Paßwortsicherheit alles ist, was gewünscht wird, und
kein Bedarf besteht, die verschlüsselten Paßwörter zwischen verschiedenen
Architekturen (Sun's, DEC-Maschinen usw.) auszutauschen, ist das von
FreeBSD benutzte, auf einer MD5-Verschlüsselung aufsetzende Sicherheits-
system völlig ausreichend!  Wir sind der Meinung, daß unser standard-
mäßiges Sicherheitsmodell mehr als ein Ausgleich für DES ist, und das,
ohne daß wir uns mit ärgerlichen Exportbeschränkungen herumschlagen
müßten.  Es ist einen Versuch wert, für alle außerhalb (oder sogar auch
innerhalb) der USA!  (Anm.: MD5 implementiert keine Verschlüsselung im
Sinne der amerikanischen Exportbestimmungen, sondern kann ausschließ-
lich zur Zugangskontrolle verwendet werden.  Damit fällt es nicht unter
die Exportbeschränkungen der USA. -- Jörg)


1.1 Was ist neu in 2.0.5?
-------------------------

Die folgenden Funktionen wurden im Zeitraum zwischen der Freigabe von
Version 2.0 und dieser Version 2.0.5 entweder hinzugefügt oder grundle-
gend verbessert.  Um eine bessere Kommunikation zu ermöglichen, ist die
Person (oder die Personen), die für die jeweilige Verbesserung verant-
wortlich ist, aufgelistet.  Jegliche Fragen bezüglich der neuen Funkiona-
lität sollte zuerst an denjenigen gerichtet werden.


KERNEL:

Vereinigter VM/Dateipuffer-Cache
--------------------------------
Der Entwurf eines vereinten VM/Dateipuffer-Caches verbessert die gesamte
Leistungsfähigkeit des Systems erheblich und erlaubt eine Reihe optimier-
ter Speicherbelegungsstrategien, die vorher unmöglich waren.

Verantwortlich:         David Greenman (davidg@FreeBSD.org) and
                        John Dyson (dyson@implode.root.com)


Optimierter Hash-Algorithmus für Netzwerk-Protokollsteuerblöcke (PCB's)
-----------------------------------------------------------------------
Für Systeme mit einer großen Anzahl aktiver TCP-Verbindungen (z. B.
WEB- und FTP-Server) wird dadurch die Suche für ein ankommendes Paket
nach der dazugehörigen Verbindung erheblich beschleunigt.

Verantwortlich:         David Greenman (davidg@FreeBSD.org)


Optimierung des Dateinamen-Caches
---------------------------------
Der Namens-Cache faßt nunmehr alle gleichen Namen im gleichen Speicher-
block zusammen, so daß z. B. alle ,,..''-Einträge im gleichen Block
landen.  Die Version für das Elternverzeichnis wurde einbezogen, um
den Hash durcheinanderzubringen, und die Cache-Verwaltung wurde ver-
bessert, da gerade an diesem Teil gearbeitet wurde.

Verantwortlich:         Poul-Henning Kamp (phk@FreeBSD.org)
                        David Greenman (davidg@FreeBSD.org)


Weniger einschränkende Konfigurierung von Swap-Bereichen
--------------------------------------------------------
Die Notwendigkeit, die Namen der Swap-Geräte in den Kernel zu kompilie-
ren, wurde beseitigt.  ,swapon' akzeptiert numehr jedes Block-Gerät bis
zur Maximalzahl der in den Kernel konfigurierten Swap-Geräte.

Verantwortlich:         Poul-Henning Kamp (phk@FreeBSD.org)
                        David Greenman (davidg@FreeBSD.org)


,,Vorverdrahtete'' SCSI-Geräte
------------------------------
FreeBSD-Versionen vor 2.0.5 haben die Gerätenummernzuweisung für SCSI-
Geräte ausschließlich dynamisch vorgenommen in der Reihenfolge, wie die
Geräte gefunden wurden, so daß infolge Fehlfunktion eines SCSI-Gerätes
sich möglicherweise die Gerätenummer ändern konnte.  Dieses hatte zur
Folge, daß selbst die Zuordnung der Dateisysteme auf den noch funktio-
nierenden Geräten nicht mehr möglich war und die Dateisysteme nicht
gemountet werden konnten.  Durch ,,Vorverdrahtung'' ist es jetzt möglich,
statisch die Zuordnung zwischen Gerätenummern (und damit Gerätenamen) und
SCSI-Geräten vorzunehmen, wobei die SCSI-ID und die Nummer des SCSI-
Busses als Basis dienen.  Diese Zuordnung wird in der Konfigurations-
datei des Kernels vorgenommen und ist sowohl in der Manual-Seite scsi(4)
als auch in der LINT-Beispielkonfiguration dokumentiert.

Verantwortlich:         Peter Dufault (dufault@hda.com)
Betroffene Dateien:     sys/scsi/* usr.sbin/config/*


Unterstützung für ,,Slices''
----------------------------
FreeBSD unterstützt nunmehr die Abstraktion von ,,Slices'' (globalen
Platten-Partitionen), so daß die Zusammenarbeit mit Partitionen anderer
Betriebssysteme verbessert wird.  Damit ist es FreeBSD möglich, vor-
handene DOS-Partitionen (ohne weitere Vorkehrungen) mitzunutzen.

Verantwortlich:         Bruce Evans (bde@FreeBSD.org)
Betroffene Dateien:     sys/disklabel.h sys/diskslice.h sys/dkbad.h
                        kern/subr_diskslice.c kern/subr_dkbad.c
                        i386/isa/diskslice_machdep.c
                        i386/isa/wd.c scsi/sd.c dev/vn/vn.c


Unterstützung für Version 6.0 des OnTrack Disk-Managers
-------------------------------------------------------
Es wurde die Möglichkeit geschaffen, Platten zu nutzen, die durch den
OnTrack Disk-Manager verwaltet werden.  Das fdisk-Programm jedoch weiß
darüber noch nichts, so daß alle Änderungen entweder im Installations-
programm der Bootdiskette (boot.flp) oder aber im OnTrack Disk-Manager
aus DOS heraus vorgenommen werden müssen.

Verantwortlich:         Poul-Henning Kamp (phk@FreeBSD.org)


Bad144 ist wieder da und funktioniert
-------------------------------------
Bad144 funktioniert wieder.  Die Semantik jedoch hat sich gegenüber
früher geringfügig geändert.  Die Fehlerstellen werden nunmehr relativ
zur ,,Slice'' gezählt und nicht mehr absolut bezüglich der ganzen
Platte.

Verantwortlich:         Bruce Evans (bde@FreeBSD.org)
                        Poul-Henning Kamp (phk@FreeBSD.org)


UNTERSTÜTZUNG NEUER GERÄTE:

                        SCSI- und CDROM-Geräte

Matsushita/Panasonic (Creative) CD-ROM-Treiber
----------------------------------------------
Die Laufwerke Matsushita/Panasonic CR-562 und CR-563 werden nunmehr
unterstützt, wenn sie an einen SoundBlaster- oder 100% kompatiblen
Hostadapter angeschlossen sind.  Bis zu vier Hostadapter sind möglich, so
daß maximal 16 CD-ROM-Laufwerke angeschlossen werden können.  Die
Audio-Funktionen sind ebenfalls unterstützt einschließlich des ,,Karoke
variable speed playback''.

Verantwortlich:         Frank Durda IV   bsdmail@nemesis.lonestar.org
Betroffene Dateien:     isa/matcd


Adaptec 2742/2842/2940 SCSI-Treiber
-----------------------------------
Der originale Treiber für 274X-/284X-Adapter wurde gegenüber der Version
2.0 beträchtlich geändert.  Nunmehr gibt es auch volle Unterstützung der
2940-Serie sowie der ,,Wide-SCSI''-Modelle dieser Karten.  Der Bug in der
Bus-Arbitrierung (sowie viele weitere) wurde beseitigt, der Treiberprob-
leme mit schnellen SCSI-Geräten verursacht hat.  Es existiert sogar eine
experimentelle Unterstützung für ,,tagged queuing'' (Kernel-Option
,,AHC_TAGENABLE'').  Weiterhin hat John Aycock den Code für den Sequen-
cer nunmehr mit einem ,,Berkeley''-Copyright freigegeben, so daß die
Restriktionen der GPL nicht mehr auf den Treiber zutreffen.

Verantwortlich:         Justin Gibbs (gibbs@FreeBSD.org)
Betroffene Dateien:     isa/aic7770.c pci/aic7870.c i386/scsi/*
                        sys/dev/aic7xxx/*


NCR5380/NCR53400 SCSI ("ProAudio Spectrum") Treiber
---------------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Serge Vakulenko (vak@cronyx.ru)
Betroffene Dateien:     isa/ncr5380.c


Sony CDROM-Treiber
------------------
Verantwortlich:         Core-Team
Eingereicht von:        Mikael Hybsch (micke@dynas.se)
Betroffene Dateien:     isa/scd.c


                        Serielle Geräte

Treiber für SDL Communications Riscom/8 Serial Board
----------------------------------------------------
Verantwortlich:         Andrey Chernov (ache@FreeBSD.org)
Betroffene Dateien:     isa/rc.c isa/rcreg.h


Treiber für Cyclades Cyclom-y Serial Board
------------------------------------------
Verantwortlich:         Bruce Evans (bde@FreeBSD.org)
Eingereicht von:        Andrew Werple (andrew@werple.apana.org.au) and
                        Heikki Suonsivu (hsu@cs.hut.fi)
Entnommen aus:          NetBSD
Betroffene Dateien:     isa/cy.c


Serieller Treiber Cronyx/Sigma sync/async-Geräte
------------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Serge Vakulenko
Betroffene Dateien:     isa/cronyx.c            



                        Netzwerk

Plattenloses Booten
-------------------
Das plattenlose Booten wurde in Version 2.0.5 stark verbessert.  Das
Boot-Programm befindet sich in src/sys/i386/boot/netboot und kann sowohl
von MSDOS aus gestartet als auch in einen EPROM gebrannt werden.  Lokales
Swappen ist ebenfalls möglich.  Gegenwärtig werden Ethernet-Karten von
WD, SMC, 3Com und Novell unterstützt.


Treiber für DEC DC21140 ,,Fast Ethernet''-Adapter
-------------------------------------------------
Dieser Treiber unterstützt die zahlreichen Netzwerkadapter auf Basis
des DEC DC21140-Chipsatzes einschließlich der 100 MBit/s DEC-500-XA und
SMC 9332.

Verantwortlich:         Core-Team
Eingereicht von:        Matt Thomas (thomas@lkg.dec.com)
Betroffene Dateien:     pci/if_de.c pci/dc21040.h

Treiber für DEC FDDI (DEFPA/DEFEA)
----------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Matt Thomas (thomas@lkg.dec.com)
Betroffene Dateien:     pci/if_pdq.c pci/pdq.c pci/pdq_os.h pci/pdqreg.h


Treiber für 3Com 3c505 (Etherlink/+) Karten
-------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Dean Huxley (dean@fsa.ca)
Entnommen aus:          NetBSD
Betroffene Dateien:     isa/if_eg.c


Treiber für die Fujitsu-MB86960A-Netzwerkkarten-Familie
-------------------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        M.S. (seki@sysrap.cs.fujitsu.co.jp)
Betroffene Dateien:     isa/if_fe.c


Treiber für Intel EtherExpress
------------------------------
Verantwortlich:         Rodney W. Grimes (rgrimes@FreeBSD.org)
Betroffene Dateien:     isa/if_ix.c isa/if_ixreg.h


Treiber für 3Com 3c589
----------------------
Verantwortlich:         Core-Team
Eingereicht von:        "HOSOKAWA Tatsumi" (hosokawa@mt.cs.keio.ac.jp),
                        Seiji Murata (seiji@mt.cs.keio.ac.jp) and
                        Noriyuki Takahashi (hor@aecl.ntt.jp)
Betroffene Dateien:     isa/if_zp.c


Treiber für IBM-Kreditkarten
----------------------------
Verantwortlich:         Core-Team
Eingereicht von:        "HOSOKAWA Tatsumi" (hosokawa@mt.cs.keio.ac.jp)
Betroffene Dateien:     isa/pcic.c isa/pcic.h


Treiber für EDSS1- und 1TR6-ISDN-Interface
------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Dietmar Friede (dfriede@drnhh.neuhaus.de) and
                        Juergen Krause (jkr@saarlink.de)
Betroffene Dateien:     gnu/isdn/*


                        Diverse Treiber

Treiber für Joystick
--------------------
Verantwortlich:         Jean-Marc Zucconi (jmz@FreeBSD.org)
Betroffene Dateien:     isa/joy.c


Treiber für National Instruments "LabPC"
----------------------------------------
Verantwortlich:         Peter Dufault (dufault@hda.com)
Betroffene Dateien:     isa/labpc.c


Treiber für WD7000
------------------
Verantwortlich:         Olof Johansson (offe@ludd.luth.se)


Pcvt-Console-Treiber
--------------------
Verantwortlich:         Jörg Wunsch (joerg@FreeBSD.org)
Eingereicht von:        Hellmuth Michaelis (hm@altona.hamburg.com)
Betroffene Dateien:     isa/pcvt/* usr.sbin/pcvt/*


BSD-audio Emulator für den VAT-Treiber
--------------------------------------
Verantwortlich:         Amancio Hasty (ahasty@FreeBSD.org) and
                        Paul Traina (pst@FreeBSD.org)
Betroffene Dateien:     isa/sound/vat_audio.c isa/sound/vat_audioio.h


Treiber für National Instruments AT-GPIB and AT-GPIB/TNT GPIB
-------------------------------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Fred Cawthorne (fcawth@delphi.umd.edu)
Betroffene Dateien:     isa/gpib.c isa/gpib.h isa/gpibreg.h


Treiber für Genius GS-4500 Handscanner
--------------------------------------
Verantwortlich:         Core-Team
Eingereicht von:        Gunther Schadow (gusw@fub46.zedat.fu-berlin.de)
Betroffene Dateien:     isa/gsc.c isa/gscreg.h


CORTEX-I Frame Grabber
----------------------
Verantwortlich:         Core-Team
Eingereicht von:        Paul S. LaFollette, Jr.
Betroffene Dateien:     isa/ctx.c isa/ctxreg.h


Video Spigot video capture card
-------------------------------
Verantwortlich:         Jim Lowe



1.2 Experimentelle Funktionalität
---------------------------------

Von den Dateisystemen unionfs und LFS ist bekannt, daß sie in Version
2.0.5 stark mangelhaft sind.  Das ist teilweise alten Bugs geschuldet, zu
deren Beseitigung wir noch keine Zeit gefunden haben, sowie der noch
ausstehenden Umstellung auf das neue VM-System.  Wir hoffen, daß wir
diese Probleme ein einer späteren Version von FreeBSD beseitigen können.

FreeBSD kann nunmehr Binaries laufen lassen, die dem iBCS2-Standard ge-
nügen.  (SCO UNIX 3.2.2 & 3.2.4 und ISC 2.2 COFF-Format sind gegenwärtig
unterstützt.)  Der iBCS2-Emulator befindet sich noch in seinen Anfängen,
aber er funktioniert.  Wir haben noch keine erschöpfenden Tests vornehmen
können (mangels kommerzieller Applikationen), aber beinahe alle Binaries
für SCO 3.2.2 laufen, so z. B. ein altes INFORMIX-2.10 für SCO.  Zur
Vervollständigung dieses Projektes sind weitere Tests nötig.  Es sind
weiterhin Arbeiten im Gange, um ELF- und XOUT-Programme starten zu kön-
nen.  Der Großteil der ,,system call wrapper'' für SVR4 ist bereits ge-
schrieben.

FreeBSD implementiert mittlerweile auch genügend Linux-Kompatibilität,
um DOOM laufen zu lassen!  Für eine vollständige Dokumentation, wie
dies einzurichten ist, kann man im Verzeichnis ,,xperimnt'' (auf dem
lokalen FTP-Server oder der CDROM) nachsehen.

Verantwortlich:         Søren Schmidt (sos) & Sean Eric Fagan (sef)
Betroffene Dateien:     sys/i386/ibcs2/* sowie diverse Kernelmodifikationen
=======


2. Unterstützte Konfigurationen
-------------------------------

FreeBSD läuft derzeit auf einer großen Vielfalt von ISA-, VLB-, EISA- und
PCI-Bus-basierten PC's, beginnend beim 386sx bis hin zu Maschinen der
Pentium-Klasse (obwohl der 386sx nicht zu empfehlen ist).  Es gibt Unter-
stützung für allgemeine IDE- oder ESDI-Laufwerke, verschiedene SCSI-
Controller, Netzwerk- und serielle Karten.

Nachfolgend eine Liste aller Platten-Controller und Ethernet-Karten, von
denen gegenwärtig bekannt ist, daß sie mit FreeBSD zusammenarbeiten.
Andere Konfigurationen können ebenfalls funktionieren, wir haben ledig-
lich darüber noch nichts erfahren.


2.1. Platten-Controller

WD1003 (beliebige MFM/RLL)
WD1007 (beliebige IDE/ESDI)
WD7000
IDE
ATA

Adaptec 152x Serie ISA SCSI-Controller
Adaptec 154x Serie ISA SCSI-Controller
Adaptec 174x Serie EISA SCSI-Controller, Standard und ,,Enhanced'' Mode.
Adaptec 274X/284X/2940 (Narrow/Wide/Twin) Serie ISA/EISA/PCI SCSI-Controller
Adaptec AIC-6260- und AIC-6360-basierte Karten, einschließlich AHA-152x
und SoundBlaster SCSI-Karten.

** Anmerkung: Von den Soundblaster-Karten kann nicht gebootet werden, da
sie kein BIOS besitzen, was Voraussetzung wäre, um das Boot-Gerät in das
System-BIOS abzubilden.  Sie sind jedoch ohne weiteres benutzbar für
externe Bandlaufwerke, CDROM's usw.  Gleiches trifft auf AIC-6x60-
basierte Karten ohne Boot-ROM zu.  Manche dieser Karten besitzen jedoch
einen Boot-ROM, was man allgemein an irgendeiner Mitteilung beim System-
start nach dem Einschalten oder einem Reset erkennen kann.  Im Zweifels-
falle sollte man die Systemdokumentation konsultieren.

[Hinweis: Buslogic nannte sich früher ,,Bustec'']
Buslogic 545S & 545c
Buslogic 445S/445c VLB SCSI-Controller
Buslogic 742A, 747S, 747c EISA SCSI-Controller.
Buslogic 946c PCI SCSI-Controller
Buslogic 956c PCI SCSI-Controller

NCR 53C810 und 53C825 PCI SCSI-Controller.
NCR5380/NCR53400 ("ProAudio Spectrum") SCSI-Controller. 

DTC 3290 EISA SCSI-Controller in 1542 Emulations-Mode.

UltraStor 14F, 24F und 34F SCSI-Controller.

Seagate ST01/02 SCSI-Controller.

Future Domain 8xx/950 Serie SCSI-Controller.

Für alle unterstützten SCSI-Controller wird volle Unterstützung für alle
SCSI-I- und SCSI-II-Peripherie gewährt, einschließlich Platten, Bandlauf-
werke (auch DAT) und CD-ROM-Laufwerke.

Folgende CD-ROM-Systeme sind derzeit unterstützt:

(cd)    SCSI (auch ProAudio Spectrum und SoundBlaster SCSI)
(mcd)   Mitsumi Interface-Karte
(matcd) Matsushita/Panasonic (Creative) Interface-Karte
(scd)   Sony Interface-Karte

Hinweis: CD-Laufwerke mit IDE-Interface sind derzeit noch nicht unter-
stützt.

Einige Controller sind hinsichtlich ihrer Kommunikation mit mehr als 16
MB Hauptspeicher eingeschränkt, da der ISA-Bus nur 24 Bit Adreßraum
besitzt und folglich nur 16 MB adressieren kann.  Dies trifft selbst auf
einige EISA-Adapter zu (die an sich 32 Bit Adreßraum haben), wenn sie auf
ISA-Emulation geschaltet werden, weil sie dies dann in *jeder* Hinsicht
tun.  Diese Probleme treten nicht mit IDE-Adaptern auf (da sie kein DMA
vornehmen), echten EISA-Controllern (wie UltraStor, Adaptec 1742A oder
Adaptec 2742) sowie den meisten VLB-(Local-Bus)-Controllern.  Sowie es
notwendig wird, belegt das System ,,bounce buffer'', um mit den Adaptern
zu kommunizieren, so daß es dennoch möglich ist, mehr als 16 MB Haupt-
speicher problemlos zu nutzen.


2.2 Ethernet-Karten

SMC Elite 16 WD8013 Ethernet-Interfaces, sowie die meisten anderen
WD8003E-, WD8003EBT-, WD8003W-, WD8013W-, WD8003S-, WD8003SBT- and
WD8013EBT-basierten Clones.  SMC Elite Ultra wird ebenfalls unterstützt.

DEC EtherWORKS III NICs (DE203, DE204, and DE205)
DEC EtherWORKS II NICs (DE200, DE201, DE202, and DE422)
DEC DC21140 based NICs (SMC???? DE???)
DEC FDDI (DEFPA/DEFEA) NICs

Fujitsu MB86960A Familie

Intel EtherExpress

Isolan AT 4141-0 (16 bit)
Isolink 4110     (8 bit)

Novell NE1000, NE2000, und NE2100 Ethernet-Interface.

3Com 3C501 Karten

3Com 3C503 Etherlink II

3Com 3c505 Etherlink/+

3Com 3C507 Etherlink 16/TP

3Com 3C509, 3C579, 3C589 (PCMCIA) Etherlink III

Toshiba Ethernet-Karten

PCMCIA Ethernet-Karten von IBM und National Semiconductor werden
ebenfalls unterstützt.


2.3. Verschiedenes

AST 4-Port serielle Karten unter Nutzung von ,,shared interrupt''.

ARNET 8-Port serielle Karten unter Nutzung von ,,shared interrupt''.

BOCA ATIO66 6-Port serielle Karten unter Nutzung von ,,shared interrupt''.

Cyclades Cyclom-y Serial Board.

STB 4-Port serielle Karten unter Nutzung von ,,shared interrupt''.

Mitsumi (alle Modelle) CDROM-Interface und -Laufwerk.

SDL Communications Riscom/8 Serial Board.

Soundblaster SCSI und ProAudio Spectrum SCSI CDROM-Interface und -Laufwerk.

Matsushita/Panasonic (Creative SoundBlaster) CDROM-Interface und -Laufwerk.

Adlib, SoundBlaster, SoundBlaster Pro, ProAudioSpectrum, Gravis UltraSound
und Roland MPU-401 Sound-Karten.

FreeBSD unterstützt derzeit KEINE IBM-Microchannel (MCA) Bussysteme,
jedoch ist die Unterstützung nahe an der Fertigstellung.  Einzelheiten
werden gepostet sowie sich die Situation entwickelt.


3. Wie kann man FreeBSD bekommen?
---------------------------------

FreeBSD kann man in einer Vielzahl von Möglichkeiten erhalten:

1. FTP/Mail

FreeBSD selbst oder all seine wahlfreien Pakete können per ftp von
,ftp.freebsd.org' bezogen werden -- der offiziellen Vertriebsstelle von
FreeBSD.

Server, die diese Site spiegeln, sind in der Datei MIRROR.SITES aufge-
listtet.  Es wird darum gebeten, die Distribution von der netzwerkmäßig
nächstgelegenen Site zu beziehen.

Für diejenigen ohne direkten Internetzugang, aber mit der Möglichkeit,
eMail zu empfangen, steht der Weg über ,ftpmail@decwrl.dec.com' offen.
Einfach das Schlüsselwort ,,help'' als Mail dorthin schicken, und man
bekommt eine genaue Information, wie man Dateien von ,ftp.freebsd.org'
beziehen kann.  Achtung: diese Variante führt zum Versenden einiger *zehn
Megabyte* über Mail und sollte daher wirklich nur als allerletzte
Möglichkeit in Betracht gezogen werden!


2. CDROM

FreeBSD 2.0.5 kann man auf CDROM bestellen bei:

        Walnut Creek CDROM
        4041 Pike Lane, Suite D
        Concord CA  94520
        +1-510-674-0783, +1-510-674-0821 (Fax)

Oder über Internet bei orders@cdrom.com oder http://www.cdrom.com.
Der aktuelle Katalog kann mittels FTP bezogen werden als
        ftp://ftp.cdrom.com/cdrom/catalog.

Die CDROM kostet US-$ 39.95.  Der Versand kostet (pro Bestellung, nicht
pro CD) US-$ 10.00.  Visa, Mastercard und American Express werden in
Zahlung genommen.

Die CD's können bei Nichtgefallen bedingungslos zurückgegeben werden.


Berichten von Bugs, Verbesserungsvorschläge, Einreichen von Code
----------------------------------------------------------------

Jegliche Fehlerberichte und Beiträge von Code sind herzlich willkommen.
Fehler sollten in jedem Falle gemeldet werden (nach Möglichkeit mit einem
,Fix').

Die wünschenswerte Methode zum Einsenden eines Problemberichtes von einer
Maschine mit Internet-Mailzugang ist die Nutzung des Programmes send-pr.
Diese Berichte werden sorgfältig von unserem Bugfile-Programm regi-
striert, und es wird alles getan, so schnell wie möglich darauf zu
antworten.

Ist es aus irgendeinem Grunde nicht möglich, das Programm ,,send-pr''
zu nutzen, so können Fehlerberichte auch direkt an

                bugs@FreeBSD.org

gesandt werden.  Außerdem steht die Liste

                questions@FreeBSD.org

für allgemeine Fragen zur Verfügung.

(Bitte, wenn möglich, an diese Listen in englischer Sprache schreiben.)

Selbstverständlich sind wir, da all unsere Arbeit auf der Basis von Frei-
willigkeit geschieht, jederzeit über zusätzliche Helfer erfreut -- es
gibt jetzt schon mehr zu tun, als wir jemals zu tun in der Lage sein
werden!  Technische Diskussionsbeiträge oder Hilfsangebote können an

                hackers@FreeBSD.org

gesandt werden.  Diese Listen verursachen in der Regel ein beträcht-
liches Mailaufkommen.  Für diejenigen, die einen langsamen oder teuren
Mailanschluß haben und nur an den Ankündigungen wichtiger Ereignisse
interessiert sind, mag daher

                announce@FreeBSD.org

interessant sein.


All diesen Gruppen mit Ausnahme von freebsd-bugs kann jeder Interessierte
jederzeit beitreten.  Eine Mail an ,,MajorDomo@FreeBSD.org'' geschickt,
mit lediglich dem Schlüsselwort ,,help'' auf einer eigenen Zeile in der
Nachricht, wird mit der Information über die vorhandenen Listen und
Teilnahmemöglichkeiten beantwortet.  Neben den hier genannten Listen
existieren noch weitere, die auf bestimmte Interessengruppen ausgerichtet
sind, so daß die Anfrage durchaus lohnt!


6. Würdigungen
--------------

FreeBSD verkörpert die Arbeit vieler Dutzender, wenn nicht Hunderte,
Einzelner aus der ganzen Welt, die hart gearbeitet haben, um diese
Version fertigzustellen.  Es wäre sehr schwierig oder schier unmöglich,
jeden aufzuzählen, der in irgendeiner Form zu FreeBSD beigetragen hat.
Nichtsdestotrotz soll der Versuch unternommen werden (natürlich in
alphabetischer Reihenfolge).  Sollte ein Name fehlen, so ist dieses
ausschließlich ein Versehen.


Die Computer Systems Research Group (CSRG), U.C. Berkeley.

Bill Jolitz, für seine ersten Arbeiten am 386BSD.

Das FreeBSD-Core-Team
(in alphabetischer Reihenfolge der Vornamen):

        Andreas Schulz <ats@FreeBSD.org>
        Andrey A. Chernov <ache@FreeBSD.org>
        Bruce Evans <bde@FreeBSD.org>
        David Greenman <davidg@FreeBSD.org>
        Garrett A. Wollman <wollman@FreeBSD.org>
        Gary Palmer <gpalmer@FreeBSD.org>
        Geoff Rehmet <csgr@FreeBSD.org>
        Jack Vogel <jackv@FreeBSD.org>
        John Dyson <dyson@FreeBSD.org>
        Jordan K. Hubbard <jkh@FreeBSD.org>
        Justin Gibbs <gibbs@FreeBSD.org>
        Paul Richards <paul@FreeBSD.org>
        Poul-Henning Kamp <phk@FreeBSD.org>
        Rich Murphey <rich@FreeBSD.org>
        Rodney W. Grimes <rgrimes@FreeBSD.org>
        Satoshi Asami <asami@FreeBSD.org>
        Søren Schmidt <sos@FreeBSD.org>

Besondere Erwähnung verdienen:

        Walnut Creek CDROM, ohne deren Hilfe und ständige Unterstützung
        diese Ausgabe nie möglich geworden wäre.

        Dermot McDonnell für seine Bereitstellung eines Toshiba XM3401B
        CDROM-Laufwerkes.

        Weitere Helfer und Beta-Tester von FreeBSD:

        J.T. Conklin                            Julian Elischer
        Frank Durda IV                          Peter Dufault
        Sean Eric Fagan                         Jeffrey Hsu
        Terry Lambert                           L Jonas Olsson
        Chris Provenzano                        Dave Rivers
        Guido van Rooij                         Steven Wallace
        Atsushi Murai                           Scott Mace
        Nate Williams

        sowie alle an der Montana State University für ihre anfängliche
        Unterstützung.


Jordan möchte weiterhin besonders Poul-Henning Kamp und Gary Palmer
danken, die ihm beide in vielstündiger Arbeit geholfen haben, das neue
Installationssystem zusammenzustellen.  Poul, kürzlich stolzer Vater
geworden, hat es trotz seines enormen Zeitdrucks immer noch geschafft,
eine beträchtliche Menge an Arbeit in das Projekt zu investieren.  Diese
Version wäre ohne ihn nicht geworden!  Dank Euch Beiden!

Weiterhing geht Dank an all diejenigen, die mitgeholfen haben, besonders
auch an alle Nichtgenannten.  Wir hoffen, daß diese Ausgabe von FreeBSD
allgemeinen Anklang findet!

                        Das FreeBSD Core-Team

$Id: RELNOTES,v 1.2 1995/06/07 05:51:03 jkh Exp $
=======================================================================
